%global _disable_ld_as_needed 1

Name:           guayadeque
Version:        0.5.3
Release:        %mkrel 1
Summary:        Music Player with the aims to be intuitive, easy to use and fast
Group:          Sound/Players
License:        GPLv3
URL:            https://www.guayadeque.org/

Source0:        https://github.com/thothix/guayadeque/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  wxgtk-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(wxsqlite3)
BuildRequires:  pkgconfig(jsoncpp)
Requires:       gstreamer1.0-plugins-base
Requires:       gstreamer1.0-plugins-good
Requires:       gstreamer1.0-plugins-ugly
Requires:       gstreamer1.0-libav
Requires:       binutils


%description
Guayadeque is a music management program designed for all music enthusiasts.
It is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.
Some of Guayadeque Features

- Play mp3, ogg, flac, wma, wav, mpc, mp4, ape, ...
- Configurable cross fader engine
- Configurable Silence detector to avoid listening to silence between tracks
- Read and write tags in all supported formats
- Allow to catalog your music using labels
  Any track, artist or album can have as many labels you want
- Smart play mode that add tracks that fit your music taste
- Ability to download covers manually or automatically
- Suggest music using last.fm service
- Allow fast access to any music file by genre, artist, album, etc
- Play and Record shoutcast radios


%prep
%autosetup -p1 -n %{name}-%{version}

#remove build script conflicting with build/ folder used by cmake
rm -f ./build*


%build
%global _vpath_builddir build-%{_arch}
%cmake -GNinja -D_GUREVISION_:STRING="%{release}"

%cmake_build

%install
%cmake_install


%find_lang %{name}


%files -f %{name}.lang
%doc README.md Changelog.md INSTALL.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Thu Oct 03 2024 philippedidier <philippedidier> 0.5.3-1.mga9
+ Revision: 2102920
- version 0.5.3 correcting bugs from 0.5.0
- final Release 0.5.0
- correcting bug in coverpanelnew github

* Wed Nov 22 2023 philippedidier <philippedidier> 0.4.7-3.git20231115.1.1.mga9
+ Revision: 2009190
- add _disable_ld_as_needed to prevent crash on 32bits hardware

* Tue Nov 21 2023 philippedidier <philippedidier> 0.4.7-3.git20231115.1.mga9
+ Revision: 2008535
- added Requires: binutil which is not always installed by default
- new git snapshot 2023/11/15 from a new fork to fix crashes with fader and equalizer (mga#32231)
- allow build with wxgtk-3.2.1 and gstreamer-1.22.3

* Sat Apr 22 2023 daviddavid <daviddavid> 0.4.7-1.mga9
+ Revision: 1954025
- new version: 0.4.7

* Mon Jul 18 2022 wally <wally> 0.4.6-7.git20220113.2.mga9
+ Revision: 1869361
- add hackish patch to get pkg to build with wxgtk >= 3.1.6

* Fri Jan 14 2022 wally <wally> 0.4.6-7.git20220113.1.mga9
+ Revision: 1768341
- update to 20220113 git snapshot

* Sat Dec 11 2021 wally <wally> 0.4.6-7.git20211201.1.mga9
+ Revision: 1761426
- update to 20211201 git snapshot

* Sat Dec 11 2021 wally <wally> 0.4.6-7.git20201222.3.mga9
+ Revision: 1761411
- rebuild to fix 'different size in shared object' crashes (mga#29755)

* Fri Jan 01 2021 wally <wally> 0.4.6-7.git20201222.2.mga8
+ Revision: 1667703
- rebuild for wxgtk pre 3.1.5 snapshot

* Thu Dec 24 2020 wally <wally> 0.4.6-7.git20201222.1.mga8
+ Revision: 1663514
- update to latest git snapshot

* Thu Dec 24 2020 wally <wally> 0.4.6-6.mga8
+ Revision: 1663310
- add more wxWidgets 3.1.4 patches from upstream

* Mon Dec 21 2020 wally <wally> 0.4.6-5.mga8
+ Revision: 1662576
- rebuild for new wxgtk 3.1.4

* Tue Aug 11 2020 wally <wally> 0.4.6-4.mga8
+ Revision: 1613392
- add upstream patch to fix build with gcc10
- disable libindicate support

* Tue Feb 18 2020 daviddavid <daviddavid> 0.4.6-3.mga8
+ Revision: 1538676
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 0.4.6-2.mga8
+ Revision: 1459468
- rebuild for wxgtk 3.1.3

* Wed Jul 17 2019 wally <wally> 0.4.6-1.mga8
+ Revision: 1422178
- new version 0.4.6
- add patch to fix build with gtk3 enabled wxgtk 3.1.2

* Sat Apr 20 2019 daviddavid <daviddavid> 0.4.5-3.mga7
+ Revision: 1394039
- rebuild for new wxsqlite3 4.4.2
- add patch to explicitly set wxwidgets components required
- enable indicate support

* Sun Sep 23 2018 umeabot <umeabot> 0.4.5-2.mga7
+ Revision: 1298138
- Mageia 7 Mass Rebuild
+ daviddavid <daviddavid>
- use new rpm macros

* Mon Feb 13 2017 cjw <cjw> 0.4.5-1.mga6
+ Revision: 1085947
- 0.4.5
- fix url
- add dependency on gstreamer1.0-libav because it's needed for wma playback advertised in description

* Fri Feb 05 2016 umeabot <umeabot> 0.3.5-7.mga6
+ Revision: 938667
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-6.mga5
+ Revision: 741900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-5.mga5
+ Revision: 680040
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.5-4.mga4
+ Revision: 505386
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.5-3.mga3
+ Revision: 352944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 barjac <barjac> 0.3.5-2.mga3
+ Revision: 333510
- change group to new policy

* Wed Mar 07 2012 anssi <anssi> 0.3.5-1.mga2
+ Revision: 221343
- new version 0.3.5
- drop now unneeded fix-string-literal.patch, fixed upstream

* Mon Sep 05 2011 doktor5000 <doktor5000> 0.3.1-1.mga2
+ Revision: 138901
- add BuildRequires on desktop-file-utils
- remove unused Require
- imported package guayadeque
+ anssi <anssi>
- fix -Wformat-security patch

